Bug 437650 - 'yum list extras' gives spurious results with yum-priorities enabled
'yum list extras' gives spurious results with yum-priorities enabled
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-15 14:46 EDT by Vince Schiavoni
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-20 08:10:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vince Schiavoni 2008-03-15 14:46:51 EDT
Description of problem:
When run with yum-priorities enabled and various repos set to different
priorities, 'yum list extras' returns package names for all packages from
low-priority repos, even though the packages are in fact still available.  If
run without yum-priorities, the list of "extra" packages shrinks to the expected
output (i.e., only packages which are actually no longer available from any
configured repo).  Same goes for 'package-cleanup --orphans' from yum-utils.

Version-Release number of selected component (if applicable):
yum-3.2.8-2.fc8
yum-priorities-1.1.11-1.fc8
yum-utils-1.1.11-1.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Install above packages;
2. Configure repo priorities;
3. Run 'yum list extras' or 'package-cleanup --orphans'
4. Observe list of packages.
  
Actual results:
Any package from low-priority repo(s) is flagged as "extra". Note that most of
the packages are in fact prerequisites for other packages.

Expected results:
Only packages which are obsolete and/or no longer available from any repo(s)
should be flagged as "extra".

Additional info:
uname -a: Linux micron-pc-rb.localdomain 2.6.24.3-12.fc8 #1 SMP Tue Feb 26
14:58:29 EST 2008 i686 i686 i386 GNU/Linux
on a Micron.pc ClientPro CN
Comment 1 Tim Lauridsen 2008-03-20 08:10:38 EDT
That is a expected behavior, the way priorities work is to exclude all
low-priority packages from the yum package list, so from yum's point of view,
then packages don't exist, so installed packages from low pri repo, will be
flagged as extras.
There is a number of issues with priorities and other plugins there does
something like it.
it is not something we can do anything to fix.

Note You need to log in before you can comment on or make changes to this bug.